/* Generated by Yosys 0.9+3672 (git sha1 014c7e26, gcc 9.3.0-17ubuntu1~20.04 -fPIC -Os) */

module counter(counter_out_long, counter_out, clk, rst);
  wire _000_;
  wire _001_;
  wire _002_;
  wire _003_;
  wire _004_;
  wire _005_;
  wire _006_;
  wire _007_;
  wire _008_;
  wire _009_;
  wire _010_;
  wire _011_;
  wire _012_;
  wire _013_;
  wire _014_;
  wire _015_;
  wire _016_;
  wire _017_;
  wire _018_;
  wire _019_;
  wire _020_;
  wire _021_;
  wire _022_;
  wire _023_;
  wire _024_;
  wire _025_;
  wire _026_;
  wire _027_;
  wire _028_;
  wire _029_;
  wire _030_;
  wire _031_;
  wire _032_;
  wire _033_;
  wire _034_;
  wire _035_;
  wire _036_;
  wire _037_;
  wire _038_;
  wire _039_;
  wire _040_;
  wire _041_;
  wire _042_;
  wire _043_;
  wire _044_;
  wire _045_;
  wire _046_;
  wire _047_;
  wire _048_;
  wire _049_;
  wire _050_;
  wire _051_;
  wire _052_;
  wire _053_;
  wire _054_;
  wire _055_;
  wire _056_;
  wire _057_;
  wire _058_;
  wire _059_;
  wire _060_;
  wire _061_;
  wire _062_;
  wire _063_;
  wire _064_;
  wire _065_;
  wire _066_;
  wire _067_;
  wire _068_;
  wire _069_;
  wire _070_;
  wire _071_;
  wire _072_;
  wire _073_;
  wire _074_;
  wire _075_;
  wire _076_;
  wire _077_;
  wire _078_;
  wire _079_;
  wire _080_;
  wire _081_;
  wire _082_;
  wire _083_;
  wire _084_;
  wire _085_;
  wire _086_;
  wire _087_;
  wire _088_;
  wire _089_;
  wire _090_;
  wire _091_;
  wire _092_;
  wire _093_;
  wire _094_;
  wire _095_;
  wire _096_;
  wire _097_;
  wire _098_;
  wire _099_;
  wire _100_;
  wire _101_;
  wire _102_;
  wire _103_;
  wire _104_;
  wire _105_;
  wire _106_;
  wire _107_;
  wire _108_;
  wire _109_;
  wire _110_;
  wire _111_;
  wire _112_;
  wire _113_;
  wire _114_;
  wire _115_;
  wire _116_;
  wire _117_;
  wire _118_;
  wire _119_;
  wire _120_;
  wire _121_;
  wire _122_;
  wire _123_;
  wire _124_;
  wire _125_;
  wire _126_;
  wire _127_;
  wire _128_;
  wire _129_;
  wire _130_;
  wire _131_;
  wire _132_;
  wire _133_;
  wire _134_;
  wire _135_;
  wire _136_;
  wire _137_;
  wire _138_;
  wire _139_;
  wire _140_;
  wire _141_;
  wire _142_;
  wire _143_;
  wire _144_;
  wire _145_;
  wire _146_;
  wire _147_;
  wire _148_;
  wire _149_;
  wire _150_;
  wire _151_;
  wire _152_;
  wire _153_;
  wire _154_;
  wire _155_;
  wire _156_;
  wire _157_;
  wire _158_;
  wire _159_;
  wire _160_;
  wire _161_;
  wire _162_;
  wire _163_;
  wire _164_;
  wire _165_;
  wire _166_;
  wire _167_;
  wire _168_;
  wire _169_;
  wire _170_;
  wire _171_;
  wire _172_;
  wire _173_;
  wire _174_;
  wire _175_;
  wire _176_;
  wire _177_;
  wire _178_;
  wire _179_;
  wire _180_;
  wire _181_;
  wire _182_;
  wire _183_;
  wire _184_;
  wire _185_;
  wire _186_;
  wire _187_;
  wire _188_;
  wire _189_;
  wire _190_;
  wire _191_;
  wire _192_;
  wire _193_;
  wire _194_;
  wire _195_;
  wire _196_;
  wire _197_;
  wire _198_;
  wire _199_;
  wire _200_;
  wire _201_;
  input clk;
  output [63:0] counter_out;
  output [255:0] counter_out_long;
  input rst;
  sky130_fd_sc_hs__buf_8 _202_ (
    .A(counter_out[17]),
    .X(_064_)
  );
  sky130_fd_sc_hs__and4_4 _203_ (
    .A(counter_out[0]),
    .B(counter_out[1]),
    .C(counter_out[2]),
    .D(counter_out[3]),
    .X(_065_)
  );
  sky130_fd_sc_hs__and4_4 _204_ (
    .A(counter_out[4]),
    .B(counter_out[5]),
    .C(counter_out[6]),
    .D(_065_),
    .X(_066_)
  );
  sky130_fd_sc_hs__and4_4 _205_ (
    .A(counter_out[7]),
    .B(counter_out[8]),
    .C(counter_out[9]),
    .D(_066_),
    .X(_067_)
  );
  sky130_fd_sc_hs__and4_4 _206_ (
    .A(counter_out[10]),
    .B(counter_out[11]),
    .C(counter_out[12]),
    .D(_067_),
    .X(_068_)
  );
  sky130_fd_sc_hs__and4_4 _207_ (
    .A(counter_out[13]),
    .B(counter_out[14]),
    .C(counter_out[15]),
    .D(_068_),
    .X(_069_)
  );
  sky130_fd_sc_hs__and2_4 _208_ (
    .A(counter_out[16]),
    .B(_069_),
    .X(_070_)
  );
  sky130_fd_sc_hs__clkdlyinv3sd2_1 _209_ (
    .A(rst),
    .Y(_071_)
  );
  sky130_fd_sc_hs__buf_1 _210_ (
    .A(_071_),
    .X(_072_)
  );
  sky130_fd_sc_hs__o21ai_4 _211_ (
    .A1(_064_),
    .A2(_070_),
    .B1(_072_),
    .Y(_073_)
  );
  sky130_fd_sc_hs__a21oi_4 _212_ (
    .A1(_064_),
    .A2(_070_),
    .B1(_073_),
    .Y(_000_)
  );
  sky130_fd_sc_hs__buf_1 _213_ (
    .A(rst),
    .X(_074_)
  );
  sky130_fd_sc_hs__and4_4 _214_ (
    .A(counter_out[16]),
    .B(_064_),
    .C(counter_out[18]),
    .D(_069_),
    .X(_075_)
  );
  sky130_fd_sc_hs__a21oi_4 _215_ (
    .A1(_064_),
    .A2(_070_),
    .B1(counter_out[18]),
    .Y(_076_)
  );
  sky130_fd_sc_hs__nor3_4 _216_ (
    .A(_074_),
    .B(_075_),
    .C(_076_),
    .Y(_001_)
  );
  sky130_fd_sc_hs__and2_4 _217_ (
    .A(counter_out[19]),
    .B(_075_),
    .X(_077_)
  );
  sky130_fd_sc_hs__buf_1 _218_ (
    .A(_072_),
    .X(_078_)
  );
  sky130_fd_sc_hs__o21ai_4 _219_ (
    .A1(counter_out[19]),
    .A2(_075_),
    .B1(_078_),
    .Y(_079_)
  );
  sky130_fd_sc_hs__nor2_4 _220_ (
    .A(_077_),
    .B(_079_),
    .Y(_002_)
  );
  sky130_fd_sc_hs__and2_4 _221_ (
    .A(counter_out[20]),
    .B(_077_),
    .X(_080_)
  );
  sky130_fd_sc_hs__o21ai_4 _222_ (
    .A1(counter_out[20]),
    .A2(_077_),
    .B1(_078_),
    .Y(_081_)
  );
  sky130_fd_sc_hs__nor2_4 _223_ (
    .A(_080_),
    .B(_081_),
    .Y(_003_)
  );
  sky130_fd_sc_hs__and4_4 _224_ (
    .A(counter_out[19]),
    .B(counter_out[20]),
    .C(counter_out[21]),
    .D(_075_),
    .X(_082_)
  );
  sky130_fd_sc_hs__o21ai_4 _225_ (
    .A1(counter_out[21]),
    .A2(_080_),
    .B1(_078_),
    .Y(_083_)
  );
  sky130_fd_sc_hs__nor2_4 _226_ (
    .A(_082_),
    .B(_083_),
    .Y(_004_)
  );
  sky130_fd_sc_hs__and2_4 _227_ (
    .A(counter_out[22]),
    .B(_082_),
    .X(_084_)
  );
  sky130_fd_sc_hs__o21ai_4 _228_ (
    .A1(counter_out[22]),
    .A2(_082_),
    .B1(_078_),
    .Y(_085_)
  );
  sky130_fd_sc_hs__nor2_4 _229_ (
    .A(_084_),
    .B(_085_),
    .Y(_005_)
  );
  sky130_fd_sc_hs__and2_4 _230_ (
    .A(counter_out[23]),
    .B(_084_),
    .X(_086_)
  );
  sky130_fd_sc_hs__o21ai_4 _231_ (
    .A1(counter_out[23]),
    .A2(_084_),
    .B1(_078_),
    .Y(_087_)
  );
  sky130_fd_sc_hs__nor2_4 _232_ (
    .A(_086_),
    .B(_087_),
    .Y(_006_)
  );
  sky130_fd_sc_hs__and4_4 _233_ (
    .A(counter_out[22]),
    .B(counter_out[23]),
    .C(counter_out[24]),
    .D(_082_),
    .X(_088_)
  );
  sky130_fd_sc_hs__o21ai_4 _234_ (
    .A1(counter_out[24]),
    .A2(_086_),
    .B1(_078_),
    .Y(_089_)
  );
  sky130_fd_sc_hs__nor2_4 _235_ (
    .A(_088_),
    .B(_089_),
    .Y(_007_)
  );
  sky130_fd_sc_hs__and2_4 _236_ (
    .A(counter_out[25]),
    .B(_088_),
    .X(_090_)
  );
  sky130_fd_sc_hs__o21ai_4 _237_ (
    .A1(counter_out[25]),
    .A2(_088_),
    .B1(_078_),
    .Y(_091_)
  );
  sky130_fd_sc_hs__nor2_4 _238_ (
    .A(_090_),
    .B(_091_),
    .Y(_008_)
  );
  sky130_fd_sc_hs__and2_4 _239_ (
    .A(counter_out[26]),
    .B(_090_),
    .X(_092_)
  );
  sky130_fd_sc_hs__o21ai_4 _240_ (
    .A1(counter_out[26]),
    .A2(_090_),
    .B1(_078_),
    .Y(_093_)
  );
  sky130_fd_sc_hs__nor2_4 _241_ (
    .A(_092_),
    .B(_093_),
    .Y(_009_)
  );
  sky130_fd_sc_hs__and4_4 _242_ (
    .A(counter_out[25]),
    .B(counter_out[26]),
    .C(counter_out[27]),
    .D(_088_),
    .X(_094_)
  );
  sky130_fd_sc_hs__buf_1 _243_ (
    .A(_072_),
    .X(_095_)
  );
  sky130_fd_sc_hs__o21ai_4 _244_ (
    .A1(counter_out[27]),
    .A2(_092_),
    .B1(_095_),
    .Y(_096_)
  );
  sky130_fd_sc_hs__nor2_4 _245_ (
    .A(_094_),
    .B(_096_),
    .Y(_010_)
  );
  sky130_fd_sc_hs__and2_4 _246_ (
    .A(counter_out[28]),
    .B(_094_),
    .X(_097_)
  );
  sky130_fd_sc_hs__o21ai_4 _247_ (
    .A1(counter_out[28]),
    .A2(_094_),
    .B1(_095_),
    .Y(_098_)
  );
  sky130_fd_sc_hs__nor2_4 _248_ (
    .A(_097_),
    .B(_098_),
    .Y(_011_)
  );
  sky130_fd_sc_hs__and2_4 _249_ (
    .A(counter_out[29]),
    .B(_097_),
    .X(_099_)
  );
  sky130_fd_sc_hs__o21ai_4 _250_ (
    .A1(counter_out[29]),
    .A2(_097_),
    .B1(_095_),
    .Y(_100_)
  );
  sky130_fd_sc_hs__nor2_4 _251_ (
    .A(_099_),
    .B(_100_),
    .Y(_012_)
  );
  sky130_fd_sc_hs__and4_4 _252_ (
    .A(counter_out[28]),
    .B(counter_out[29]),
    .C(counter_out[30]),
    .D(_094_),
    .X(_101_)
  );
  sky130_fd_sc_hs__o21ai_4 _253_ (
    .A1(counter_out[30]),
    .A2(_099_),
    .B1(_095_),
    .Y(_102_)
  );
  sky130_fd_sc_hs__nor2_4 _254_ (
    .A(_101_),
    .B(_102_),
    .Y(_013_)
  );
  sky130_fd_sc_hs__and2_4 _255_ (
    .A(counter_out[31]),
    .B(_101_),
    .X(_103_)
  );
  sky130_fd_sc_hs__o21ai_4 _256_ (
    .A1(counter_out[31]),
    .A2(_101_),
    .B1(_095_),
    .Y(_104_)
  );
  sky130_fd_sc_hs__nor2_4 _257_ (
    .A(_103_),
    .B(_104_),
    .Y(_014_)
  );
  sky130_fd_sc_hs__and2_4 _258_ (
    .A(counter_out[32]),
    .B(_103_),
    .X(_105_)
  );
  sky130_fd_sc_hs__o21ai_4 _259_ (
    .A1(counter_out[32]),
    .A2(_103_),
    .B1(_095_),
    .Y(_106_)
  );
  sky130_fd_sc_hs__nor2_4 _260_ (
    .A(_105_),
    .B(_106_),
    .Y(_015_)
  );
  sky130_fd_sc_hs__and4_4 _261_ (
    .A(counter_out[31]),
    .B(counter_out[32]),
    .C(counter_out[33]),
    .D(_101_),
    .X(_107_)
  );
  sky130_fd_sc_hs__o21ai_4 _262_ (
    .A1(counter_out[33]),
    .A2(_105_),
    .B1(_095_),
    .Y(_108_)
  );
  sky130_fd_sc_hs__nor2_4 _263_ (
    .A(_107_),
    .B(_108_),
    .Y(_016_)
  );
  sky130_fd_sc_hs__and2_4 _264_ (
    .A(counter_out[34]),
    .B(_107_),
    .X(_109_)
  );
  sky130_fd_sc_hs__o21ai_4 _265_ (
    .A1(counter_out[34]),
    .A2(_107_),
    .B1(_095_),
    .Y(_110_)
  );
  sky130_fd_sc_hs__nor2_4 _266_ (
    .A(_109_),
    .B(_110_),
    .Y(_017_)
  );
  sky130_fd_sc_hs__and2_4 _267_ (
    .A(counter_out[35]),
    .B(_109_),
    .X(_111_)
  );
  sky130_fd_sc_hs__o21ai_4 _268_ (
    .A1(counter_out[35]),
    .A2(_109_),
    .B1(_095_),
    .Y(_112_)
  );
  sky130_fd_sc_hs__nor2_4 _269_ (
    .A(_111_),
    .B(_112_),
    .Y(_018_)
  );
  sky130_fd_sc_hs__and4_4 _270_ (
    .A(counter_out[34]),
    .B(counter_out[35]),
    .C(counter_out[36]),
    .D(_107_),
    .X(_113_)
  );
  sky130_fd_sc_hs__o21ai_4 _271_ (
    .A1(counter_out[36]),
    .A2(_111_),
    .B1(_095_),
    .Y(_114_)
  );
  sky130_fd_sc_hs__nor2_4 _272_ (
    .A(_113_),
    .B(_114_),
    .Y(_019_)
  );
  sky130_fd_sc_hs__and2_4 _273_ (
    .A(counter_out[37]),
    .B(_113_),
    .X(_115_)
  );
  sky130_fd_sc_hs__buf_1 _274_ (
    .A(_072_),
    .X(_116_)
  );
  sky130_fd_sc_hs__o21ai_4 _275_ (
    .A1(counter_out[37]),
    .A2(_113_),
    .B1(_116_),
    .Y(_117_)
  );
  sky130_fd_sc_hs__nor2_4 _276_ (
    .A(_115_),
    .B(_117_),
    .Y(_020_)
  );
  sky130_fd_sc_hs__and2_4 _277_ (
    .A(counter_out[38]),
    .B(_115_),
    .X(_118_)
  );
  sky130_fd_sc_hs__o21ai_4 _278_ (
    .A1(counter_out[38]),
    .A2(_115_),
    .B1(_116_),
    .Y(_119_)
  );
  sky130_fd_sc_hs__nor2_4 _279_ (
    .A(_118_),
    .B(_119_),
    .Y(_021_)
  );
  sky130_fd_sc_hs__and4_4 _280_ (
    .A(counter_out[37]),
    .B(counter_out[38]),
    .C(counter_out[39]),
    .D(_113_),
    .X(_120_)
  );
  sky130_fd_sc_hs__o21ai_4 _281_ (
    .A1(counter_out[39]),
    .A2(_118_),
    .B1(_116_),
    .Y(_121_)
  );
  sky130_fd_sc_hs__nor2_4 _282_ (
    .A(_120_),
    .B(_121_),
    .Y(_022_)
  );
  sky130_fd_sc_hs__and2_4 _283_ (
    .A(counter_out[40]),
    .B(_120_),
    .X(_122_)
  );
  sky130_fd_sc_hs__o21ai_4 _284_ (
    .A1(counter_out[40]),
    .A2(_120_),
    .B1(_116_),
    .Y(_123_)
  );
  sky130_fd_sc_hs__nor2_4 _285_ (
    .A(_122_),
    .B(_123_),
    .Y(_023_)
  );
  sky130_fd_sc_hs__and2_4 _286_ (
    .A(counter_out[41]),
    .B(_122_),
    .X(_124_)
  );
  sky130_fd_sc_hs__o21ai_4 _287_ (
    .A1(counter_out[41]),
    .A2(_122_),
    .B1(_116_),
    .Y(_125_)
  );
  sky130_fd_sc_hs__nor2_4 _288_ (
    .A(_124_),
    .B(_125_),
    .Y(_024_)
  );
  sky130_fd_sc_hs__and4_4 _289_ (
    .A(counter_out[40]),
    .B(counter_out[41]),
    .C(counter_out[42]),
    .D(_120_),
    .X(_126_)
  );
  sky130_fd_sc_hs__o21ai_4 _290_ (
    .A1(counter_out[42]),
    .A2(_124_),
    .B1(_116_),
    .Y(_127_)
  );
  sky130_fd_sc_hs__nor2_4 _291_ (
    .A(_126_),
    .B(_127_),
    .Y(_025_)
  );
  sky130_fd_sc_hs__and2_4 _292_ (
    .A(counter_out[43]),
    .B(_126_),
    .X(_128_)
  );
  sky130_fd_sc_hs__o21ai_4 _293_ (
    .A1(counter_out[43]),
    .A2(_126_),
    .B1(_116_),
    .Y(_129_)
  );
  sky130_fd_sc_hs__nor2_4 _294_ (
    .A(_128_),
    .B(_129_),
    .Y(_026_)
  );
  sky130_fd_sc_hs__and2_4 _295_ (
    .A(counter_out[44]),
    .B(_128_),
    .X(_130_)
  );
  sky130_fd_sc_hs__o21ai_4 _296_ (
    .A1(counter_out[44]),
    .A2(_128_),
    .B1(_116_),
    .Y(_131_)
  );
  sky130_fd_sc_hs__nor2_4 _297_ (
    .A(_130_),
    .B(_131_),
    .Y(_027_)
  );
  sky130_fd_sc_hs__and4_4 _298_ (
    .A(counter_out[43]),
    .B(counter_out[44]),
    .C(counter_out[45]),
    .D(_126_),
    .X(_132_)
  );
  sky130_fd_sc_hs__o21ai_4 _299_ (
    .A1(counter_out[45]),
    .A2(_130_),
    .B1(_116_),
    .Y(_133_)
  );
  sky130_fd_sc_hs__nor2_4 _300_ (
    .A(_132_),
    .B(_133_),
    .Y(_028_)
  );
  sky130_fd_sc_hs__and2_4 _301_ (
    .A(counter_out[46]),
    .B(_132_),
    .X(_134_)
  );
  sky130_fd_sc_hs__o21ai_4 _302_ (
    .A1(counter_out[46]),
    .A2(_132_),
    .B1(_116_),
    .Y(_135_)
  );
  sky130_fd_sc_hs__nor2_4 _303_ (
    .A(_134_),
    .B(_135_),
    .Y(_029_)
  );
  sky130_fd_sc_hs__and2_4 _304_ (
    .A(counter_out[47]),
    .B(_134_),
    .X(_136_)
  );
  sky130_fd_sc_hs__buf_1 _305_ (
    .A(_072_),
    .X(_137_)
  );
  sky130_fd_sc_hs__o21ai_4 _306_ (
    .A1(counter_out[47]),
    .A2(_134_),
    .B1(_137_),
    .Y(_138_)
  );
  sky130_fd_sc_hs__nor2_4 _307_ (
    .A(_136_),
    .B(_138_),
    .Y(_030_)
  );
  sky130_fd_sc_hs__and4_4 _308_ (
    .A(counter_out[46]),
    .B(counter_out[47]),
    .C(counter_out[48]),
    .D(_132_),
    .X(_139_)
  );
  sky130_fd_sc_hs__o21ai_4 _309_ (
    .A1(counter_out[48]),
    .A2(_136_),
    .B1(_137_),
    .Y(_140_)
  );
  sky130_fd_sc_hs__nor2_4 _310_ (
    .A(_139_),
    .B(_140_),
    .Y(_031_)
  );
  sky130_fd_sc_hs__and2_4 _311_ (
    .A(counter_out[49]),
    .B(_139_),
    .X(_141_)
  );
  sky130_fd_sc_hs__o21ai_4 _312_ (
    .A1(counter_out[49]),
    .A2(_139_),
    .B1(_137_),
    .Y(_142_)
  );
  sky130_fd_sc_hs__nor2_4 _313_ (
    .A(_141_),
    .B(_142_),
    .Y(_032_)
  );
  sky130_fd_sc_hs__and2_4 _314_ (
    .A(counter_out[50]),
    .B(_141_),
    .X(_143_)
  );
  sky130_fd_sc_hs__o21ai_4 _315_ (
    .A1(counter_out[50]),
    .A2(_141_),
    .B1(_137_),
    .Y(_144_)
  );
  sky130_fd_sc_hs__nor2_4 _316_ (
    .A(_143_),
    .B(_144_),
    .Y(_033_)
  );
  sky130_fd_sc_hs__and4_4 _317_ (
    .A(counter_out[49]),
    .B(counter_out[50]),
    .C(counter_out[51]),
    .D(_139_),
    .X(_145_)
  );
  sky130_fd_sc_hs__o21ai_4 _318_ (
    .A1(counter_out[51]),
    .A2(_143_),
    .B1(_137_),
    .Y(_146_)
  );
  sky130_fd_sc_hs__nor2_4 _319_ (
    .A(_145_),
    .B(_146_),
    .Y(_034_)
  );
  sky130_fd_sc_hs__and2_4 _320_ (
    .A(counter_out[52]),
    .B(_145_),
    .X(_147_)
  );
  sky130_fd_sc_hs__o21ai_4 _321_ (
    .A1(counter_out[52]),
    .A2(_145_),
    .B1(_137_),
    .Y(_148_)
  );
  sky130_fd_sc_hs__nor2_4 _322_ (
    .A(_147_),
    .B(_148_),
    .Y(_035_)
  );
  sky130_fd_sc_hs__and2_4 _323_ (
    .A(counter_out[53]),
    .B(_147_),
    .X(_149_)
  );
  sky130_fd_sc_hs__o21ai_4 _324_ (
    .A1(counter_out[53]),
    .A2(_147_),
    .B1(_137_),
    .Y(_150_)
  );
  sky130_fd_sc_hs__nor2_4 _325_ (
    .A(_149_),
    .B(_150_),
    .Y(_036_)
  );
  sky130_fd_sc_hs__and4_4 _326_ (
    .A(counter_out[52]),
    .B(counter_out[53]),
    .C(counter_out[54]),
    .D(_145_),
    .X(_151_)
  );
  sky130_fd_sc_hs__o21ai_4 _327_ (
    .A1(counter_out[54]),
    .A2(_149_),
    .B1(_137_),
    .Y(_152_)
  );
  sky130_fd_sc_hs__nor2_4 _328_ (
    .A(_151_),
    .B(_152_),
    .Y(_037_)
  );
  sky130_fd_sc_hs__and2_4 _329_ (
    .A(counter_out[55]),
    .B(_151_),
    .X(_153_)
  );
  sky130_fd_sc_hs__o21ai_4 _330_ (
    .A1(counter_out[55]),
    .A2(_151_),
    .B1(_137_),
    .Y(_154_)
  );
  sky130_fd_sc_hs__nor2_4 _331_ (
    .A(_153_),
    .B(_154_),
    .Y(_038_)
  );
  sky130_fd_sc_hs__and2_4 _332_ (
    .A(counter_out[56]),
    .B(_153_),
    .X(_155_)
  );
  sky130_fd_sc_hs__o21ai_4 _333_ (
    .A1(counter_out[56]),
    .A2(_153_),
    .B1(_137_),
    .Y(_156_)
  );
  sky130_fd_sc_hs__nor2_4 _334_ (
    .A(_155_),
    .B(_156_),
    .Y(_039_)
  );
  sky130_fd_sc_hs__and4_4 _335_ (
    .A(counter_out[55]),
    .B(counter_out[56]),
    .C(counter_out[57]),
    .D(_151_),
    .X(_157_)
  );
  sky130_fd_sc_hs__buf_8 _336_ (
    .A(_157_),
    .X(_158_)
  );
  sky130_fd_sc_hs__buf_1 _337_ (
    .A(_072_),
    .X(_159_)
  );
  sky130_fd_sc_hs__o21ai_4 _338_ (
    .A1(counter_out[57]),
    .A2(_155_),
    .B1(_159_),
    .Y(_160_)
  );
  sky130_fd_sc_hs__nor2_4 _339_ (
    .A(_158_),
    .B(_160_),
    .Y(_040_)
  );
  sky130_fd_sc_hs__buf_4 _340_ (
    .A(counter_out[58]),
    .X(_161_)
  );
  sky130_fd_sc_hs__o21ai_4 _341_ (
    .A1(_161_),
    .A2(_158_),
    .B1(_072_),
    .Y(_162_)
  );
  sky130_fd_sc_hs__a21oi_4 _342_ (
    .A1(_161_),
    .A2(_158_),
    .B1(_162_),
    .Y(_041_)
  );
  sky130_fd_sc_hs__and3_4 _343_ (
    .A(_161_),
    .B(counter_out[59]),
    .C(_158_),
    .X(_163_)
  );
  sky130_fd_sc_hs__a21oi_4 _344_ (
    .A1(_161_),
    .A2(_158_),
    .B1(counter_out[59]),
    .Y(_164_)
  );
  sky130_fd_sc_hs__nor3_4 _345_ (
    .A(_074_),
    .B(_163_),
    .C(_164_),
    .Y(_042_)
  );
  sky130_fd_sc_hs__and4_4 _346_ (
    .A(_161_),
    .B(counter_out[59]),
    .C(counter_out[60]),
    .D(_158_),
    .X(_165_)
  );
  sky130_fd_sc_hs__buf_8 _347_ (
    .A(_165_),
    .X(_166_)
  );
  sky130_fd_sc_hs__o21ai_4 _348_ (
    .A1(counter_out[60]),
    .A2(_163_),
    .B1(_159_),
    .Y(_167_)
  );
  sky130_fd_sc_hs__nor2_4 _349_ (
    .A(_166_),
    .B(_167_),
    .Y(_043_)
  );
  sky130_fd_sc_hs__buf_8 _350_ (
    .A(counter_out[61]),
    .X(_168_)
  );
  sky130_fd_sc_hs__o21ai_4 _351_ (
    .A1(_168_),
    .A2(_166_),
    .B1(_072_),
    .Y(_169_)
  );
  sky130_fd_sc_hs__a21oi_4 _352_ (
    .A1(_168_),
    .A2(_166_),
    .B1(_169_),
    .Y(_044_)
  );
  sky130_fd_sc_hs__buf_4 _353_ (
    .A(counter_out[62]),
    .X(_170_)
  );
  sky130_fd_sc_hs__nand3_4 _354_ (
    .A(_168_),
    .B(_170_),
    .C(_166_),
    .Y(_171_)
  );
  sky130_fd_sc_hs__a21o_4 _355_ (
    .A1(_168_),
    .A2(_166_),
    .B1(_170_),
    .X(_172_)
  );
  sky130_fd_sc_hs__and3_4 _356_ (
    .A(_078_),
    .B(_171_),
    .C(_172_),
    .X(_045_)
  );
  sky130_fd_sc_hs__nand4_4 _357_ (
    .A(_168_),
    .B(_170_),
    .C(counter_out[63]),
    .D(_166_),
    .Y(_173_)
  );
  sky130_fd_sc_hs__a41o_4 _358_ (
    .A1(counter_out[60]),
    .A2(_168_),
    .A3(_170_),
    .A4(_163_),
    .B1(counter_out[63]),
    .X(_174_)
  );
  sky130_fd_sc_hs__and3_4 _359_ (
    .A(_078_),
    .B(_173_),
    .C(_174_),
    .X(_046_)
  );
  sky130_fd_sc_hs__nor2_4 _360_ (
    .A(counter_out[0]),
    .B(_074_),
    .Y(_047_)
  );
  sky130_fd_sc_hs__and2_4 _361_ (
    .A(counter_out[0]),
    .B(counter_out[1]),
    .X(_175_)
  );
  sky130_fd_sc_hs__nor2_4 _362_ (
    .A(_074_),
    .B(_175_),
    .Y(_176_)
  );
  sky130_fd_sc_hs__o21a_4 _363_ (
    .A1(counter_out[0]),
    .A2(counter_out[1]),
    .B1(_176_),
    .X(_048_)
  );
  sky130_fd_sc_hs__and2_4 _364_ (
    .A(counter_out[2]),
    .B(_175_),
    .X(_177_)
  );
  sky130_fd_sc_hs__o21ai_4 _365_ (
    .A1(counter_out[2]),
    .A2(_175_),
    .B1(_159_),
    .Y(_178_)
  );
  sky130_fd_sc_hs__nor2_4 _366_ (
    .A(_177_),
    .B(_178_),
    .Y(_049_)
  );
  sky130_fd_sc_hs__nor2_4 _367_ (
    .A(_074_),
    .B(_065_),
    .Y(_179_)
  );
  sky130_fd_sc_hs__o21a_4 _368_ (
    .A1(counter_out[3]),
    .A2(_177_),
    .B1(_179_),
    .X(_050_)
  );
  sky130_fd_sc_hs__and2_4 _369_ (
    .A(counter_out[4]),
    .B(_065_),
    .X(_180_)
  );
  sky130_fd_sc_hs__o21ai_4 _370_ (
    .A1(counter_out[4]),
    .A2(_065_),
    .B1(_159_),
    .Y(_181_)
  );
  sky130_fd_sc_hs__nor2_4 _371_ (
    .A(_180_),
    .B(_181_),
    .Y(_051_)
  );
  sky130_fd_sc_hs__and2_4 _372_ (
    .A(counter_out[5]),
    .B(_180_),
    .X(_182_)
  );
  sky130_fd_sc_hs__o21ai_4 _373_ (
    .A1(counter_out[5]),
    .A2(_180_),
    .B1(_159_),
    .Y(_183_)
  );
  sky130_fd_sc_hs__nor2_4 _374_ (
    .A(_182_),
    .B(_183_),
    .Y(_052_)
  );
  sky130_fd_sc_hs__nor2_4 _375_ (
    .A(_074_),
    .B(_066_),
    .Y(_184_)
  );
  sky130_fd_sc_hs__o21a_4 _376_ (
    .A1(counter_out[6]),
    .A2(_182_),
    .B1(_184_),
    .X(_053_)
  );
  sky130_fd_sc_hs__and2_4 _377_ (
    .A(counter_out[7]),
    .B(_066_),
    .X(_185_)
  );
  sky130_fd_sc_hs__o21ai_4 _378_ (
    .A1(counter_out[7]),
    .A2(_066_),
    .B1(_159_),
    .Y(_186_)
  );
  sky130_fd_sc_hs__nor2_4 _379_ (
    .A(_185_),
    .B(_186_),
    .Y(_054_)
  );
  sky130_fd_sc_hs__and2_4 _380_ (
    .A(counter_out[8]),
    .B(_185_),
    .X(_187_)
  );
  sky130_fd_sc_hs__o21ai_4 _381_ (
    .A1(counter_out[8]),
    .A2(_185_),
    .B1(_159_),
    .Y(_188_)
  );
  sky130_fd_sc_hs__nor2_4 _382_ (
    .A(_187_),
    .B(_188_),
    .Y(_055_)
  );
  sky130_fd_sc_hs__nor2_4 _383_ (
    .A(_074_),
    .B(_067_),
    .Y(_189_)
  );
  sky130_fd_sc_hs__o21a_4 _384_ (
    .A1(counter_out[9]),
    .A2(_187_),
    .B1(_189_),
    .X(_056_)
  );
  sky130_fd_sc_hs__and2_4 _385_ (
    .A(counter_out[10]),
    .B(_067_),
    .X(_190_)
  );
  sky130_fd_sc_hs__nor2_4 _386_ (
    .A(_074_),
    .B(_190_),
    .Y(_191_)
  );
  sky130_fd_sc_hs__o21a_4 _387_ (
    .A1(counter_out[10]),
    .A2(_067_),
    .B1(_191_),
    .X(_057_)
  );
  sky130_fd_sc_hs__and2_4 _388_ (
    .A(counter_out[11]),
    .B(_190_),
    .X(_192_)
  );
  sky130_fd_sc_hs__o21ai_4 _389_ (
    .A1(counter_out[11]),
    .A2(_190_),
    .B1(_159_),
    .Y(_193_)
  );
  sky130_fd_sc_hs__nor2_4 _390_ (
    .A(_192_),
    .B(_193_),
    .Y(_058_)
  );
  sky130_fd_sc_hs__nor2_4 _391_ (
    .A(_074_),
    .B(_068_),
    .Y(_194_)
  );
  sky130_fd_sc_hs__o21a_4 _392_ (
    .A1(counter_out[12]),
    .A2(_192_),
    .B1(_194_),
    .X(_059_)
  );
  sky130_fd_sc_hs__and2_4 _393_ (
    .A(counter_out[13]),
    .B(_068_),
    .X(_195_)
  );
  sky130_fd_sc_hs__o21ai_4 _394_ (
    .A1(counter_out[13]),
    .A2(_068_),
    .B1(_159_),
    .Y(_196_)
  );
  sky130_fd_sc_hs__nor2_4 _395_ (
    .A(_195_),
    .B(_196_),
    .Y(_060_)
  );
  sky130_fd_sc_hs__and2_4 _396_ (
    .A(counter_out[14]),
    .B(_195_),
    .X(_197_)
  );
  sky130_fd_sc_hs__o21ai_4 _397_ (
    .A1(counter_out[14]),
    .A2(_195_),
    .B1(_159_),
    .Y(_198_)
  );
  sky130_fd_sc_hs__nor2_4 _398_ (
    .A(_197_),
    .B(_198_),
    .Y(_061_)
  );
  sky130_fd_sc_hs__nor2_4 _399_ (
    .A(_074_),
    .B(_069_),
    .Y(_199_)
  );
  sky130_fd_sc_hs__o21a_4 _400_ (
    .A1(counter_out[15]),
    .A2(_197_),
    .B1(_199_),
    .X(_062_)
  );
  sky130_fd_sc_hs__nor2_4 _401_ (
    .A(rst),
    .B(_070_),
    .Y(_200_)
  );
  sky130_fd_sc_hs__o21a_4 _402_ (
    .A1(counter_out[16]),
    .A2(_069_),
    .B1(_200_),
    .X(_063_)
  );
  sky130_fd_sc_hs__conb_1 _403_ (
    .LO(_201_)
  );
  sky130_fd_sc_hs__buf_1 _404_ (
    .A(counter_out[0]),
    .X(counter_out_long[0])
  );
  sky130_fd_sc_hs__buf_1 _405_ (
    .A(counter_out[1]),
    .X(counter_out_long[1])
  );
  sky130_fd_sc_hs__buf_1 _406_ (
    .A(counter_out[2]),
    .X(counter_out_long[2])
  );
  sky130_fd_sc_hs__buf_1 _407_ (
    .A(counter_out[3]),
    .X(counter_out_long[3])
  );
  sky130_fd_sc_hs__buf_1 _408_ (
    .A(counter_out[4]),
    .X(counter_out_long[4])
  );
  sky130_fd_sc_hs__buf_1 _409_ (
    .A(counter_out[5]),
    .X(counter_out_long[5])
  );
  sky130_fd_sc_hs__buf_1 _410_ (
    .A(counter_out[6]),
    .X(counter_out_long[6])
  );
  sky130_fd_sc_hs__buf_1 _411_ (
    .A(counter_out[7]),
    .X(counter_out_long[7])
  );
  sky130_fd_sc_hs__buf_1 _412_ (
    .A(counter_out[8]),
    .X(counter_out_long[8])
  );
  sky130_fd_sc_hs__buf_1 _413_ (
    .A(counter_out[9]),
    .X(counter_out_long[9])
  );
  sky130_fd_sc_hs__buf_1 _414_ (
    .A(counter_out[10]),
    .X(counter_out_long[10])
  );
  sky130_fd_sc_hs__buf_1 _415_ (
    .A(counter_out[11]),
    .X(counter_out_long[11])
  );
  sky130_fd_sc_hs__buf_1 _416_ (
    .A(counter_out[12]),
    .X(counter_out_long[12])
  );
  sky130_fd_sc_hs__buf_1 _417_ (
    .A(counter_out[13]),
    .X(counter_out_long[13])
  );
  sky130_fd_sc_hs__buf_1 _418_ (
    .A(counter_out[14]),
    .X(counter_out_long[14])
  );
  sky130_fd_sc_hs__buf_1 _419_ (
    .A(counter_out[15]),
    .X(counter_out_long[15])
  );
  sky130_fd_sc_hs__buf_1 _420_ (
    .A(counter_out[16]),
    .X(counter_out_long[16])
  );
  sky130_fd_sc_hs__buf_1 _421_ (
    .A(counter_out[17]),
    .X(counter_out_long[17])
  );
  sky130_fd_sc_hs__buf_1 _422_ (
    .A(counter_out[18]),
    .X(counter_out_long[18])
  );
  sky130_fd_sc_hs__buf_1 _423_ (
    .A(counter_out[19]),
    .X(counter_out_long[19])
  );
  sky130_fd_sc_hs__buf_1 _424_ (
    .A(counter_out[20]),
    .X(counter_out_long[20])
  );
  sky130_fd_sc_hs__buf_1 _425_ (
    .A(counter_out[21]),
    .X(counter_out_long[21])
  );
  sky130_fd_sc_hs__buf_1 _426_ (
    .A(counter_out[22]),
    .X(counter_out_long[22])
  );
  sky130_fd_sc_hs__buf_1 _427_ (
    .A(counter_out[23]),
    .X(counter_out_long[23])
  );
  sky130_fd_sc_hs__buf_1 _428_ (
    .A(counter_out[24]),
    .X(counter_out_long[24])
  );
  sky130_fd_sc_hs__buf_1 _429_ (
    .A(counter_out[25]),
    .X(counter_out_long[25])
  );
  sky130_fd_sc_hs__buf_1 _430_ (
    .A(counter_out[26]),
    .X(counter_out_long[26])
  );
  sky130_fd_sc_hs__buf_1 _431_ (
    .A(counter_out[27]),
    .X(counter_out_long[27])
  );
  sky130_fd_sc_hs__buf_1 _432_ (
    .A(counter_out[28]),
    .X(counter_out_long[28])
  );
  sky130_fd_sc_hs__buf_1 _433_ (
    .A(counter_out[29]),
    .X(counter_out_long[29])
  );
  sky130_fd_sc_hs__buf_1 _434_ (
    .A(counter_out[30]),
    .X(counter_out_long[30])
  );
  sky130_fd_sc_hs__buf_1 _435_ (
    .A(counter_out[31]),
    .X(counter_out_long[31])
  );
  sky130_fd_sc_hs__buf_1 _436_ (
    .A(counter_out[32]),
    .X(counter_out_long[32])
  );
  sky130_fd_sc_hs__buf_1 _437_ (
    .A(counter_out[33]),
    .X(counter_out_long[33])
  );
  sky130_fd_sc_hs__buf_1 _438_ (
    .A(counter_out[34]),
    .X(counter_out_long[34])
  );
  sky130_fd_sc_hs__buf_1 _439_ (
    .A(counter_out[35]),
    .X(counter_out_long[35])
  );
  sky130_fd_sc_hs__buf_1 _440_ (
    .A(counter_out[36]),
    .X(counter_out_long[36])
  );
  sky130_fd_sc_hs__buf_1 _441_ (
    .A(counter_out[37]),
    .X(counter_out_long[37])
  );
  sky130_fd_sc_hs__buf_1 _442_ (
    .A(counter_out[38]),
    .X(counter_out_long[38])
  );
  sky130_fd_sc_hs__buf_1 _443_ (
    .A(counter_out[39]),
    .X(counter_out_long[39])
  );
  sky130_fd_sc_hs__buf_1 _444_ (
    .A(counter_out[40]),
    .X(counter_out_long[40])
  );
  sky130_fd_sc_hs__buf_1 _445_ (
    .A(counter_out[41]),
    .X(counter_out_long[41])
  );
  sky130_fd_sc_hs__buf_1 _446_ (
    .A(counter_out[42]),
    .X(counter_out_long[42])
  );
  sky130_fd_sc_hs__buf_1 _447_ (
    .A(counter_out[43]),
    .X(counter_out_long[43])
  );
  sky130_fd_sc_hs__buf_1 _448_ (
    .A(counter_out[44]),
    .X(counter_out_long[44])
  );
  sky130_fd_sc_hs__buf_1 _449_ (
    .A(counter_out[45]),
    .X(counter_out_long[45])
  );
  sky130_fd_sc_hs__buf_1 _450_ (
    .A(counter_out[46]),
    .X(counter_out_long[46])
  );
  sky130_fd_sc_hs__buf_1 _451_ (
    .A(counter_out[47]),
    .X(counter_out_long[47])
  );
  sky130_fd_sc_hs__buf_1 _452_ (
    .A(counter_out[48]),
    .X(counter_out_long[48])
  );
  sky130_fd_sc_hs__buf_1 _453_ (
    .A(counter_out[49]),
    .X(counter_out_long[49])
  );
  sky130_fd_sc_hs__buf_1 _454_ (
    .A(counter_out[50]),
    .X(counter_out_long[50])
  );
  sky130_fd_sc_hs__buf_1 _455_ (
    .A(counter_out[51]),
    .X(counter_out_long[51])
  );
  sky130_fd_sc_hs__buf_1 _456_ (
    .A(counter_out[52]),
    .X(counter_out_long[52])
  );
  sky130_fd_sc_hs__buf_1 _457_ (
    .A(counter_out[53]),
    .X(counter_out_long[53])
  );
  sky130_fd_sc_hs__buf_1 _458_ (
    .A(counter_out[54]),
    .X(counter_out_long[54])
  );
  sky130_fd_sc_hs__buf_1 _459_ (
    .A(counter_out[55]),
    .X(counter_out_long[55])
  );
  sky130_fd_sc_hs__buf_1 _460_ (
    .A(counter_out[56]),
    .X(counter_out_long[56])
  );
  sky130_fd_sc_hs__buf_1 _461_ (
    .A(counter_out[57]),
    .X(counter_out_long[57])
  );
  sky130_fd_sc_hs__buf_1 _462_ (
    .A(counter_out[58]),
    .X(counter_out_long[58])
  );
  sky130_fd_sc_hs__buf_1 _463_ (
    .A(counter_out[59]),
    .X(counter_out_long[59])
  );
  sky130_fd_sc_hs__buf_1 _464_ (
    .A(counter_out[60]),
    .X(counter_out_long[60])
  );
  sky130_fd_sc_hs__buf_1 _465_ (
    .A(counter_out[61]),
    .X(counter_out_long[61])
  );
  sky130_fd_sc_hs__buf_1 _466_ (
    .A(counter_out[62]),
    .X(counter_out_long[62])
  );
  sky130_fd_sc_hs__buf_1 _467_ (
    .A(counter_out[63]),
    .X(counter_out_long[63])
  );
  sky130_fd_sc_hs__buf_1 _468_ (
    .A(_201_),
    .X(counter_out_long[64])
  );
  sky130_fd_sc_hs__buf_1 _469_ (
    .A(_201_),
    .X(counter_out_long[65])
  );
  sky130_fd_sc_hs__buf_1 _470_ (
    .A(_201_),
    .X(counter_out_long[66])
  );
  sky130_fd_sc_hs__buf_1 _471_ (
    .A(_201_),
    .X(counter_out_long[67])
  );
  sky130_fd_sc_hs__buf_1 _472_ (
    .A(_201_),
    .X(counter_out_long[68])
  );
  sky130_fd_sc_hs__buf_1 _473_ (
    .A(_201_),
    .X(counter_out_long[69])
  );
  sky130_fd_sc_hs__buf_1 _474_ (
    .A(_201_),
    .X(counter_out_long[70])
  );
  sky130_fd_sc_hs__buf_1 _475_ (
    .A(_201_),
    .X(counter_out_long[71])
  );
  sky130_fd_sc_hs__buf_1 _476_ (
    .A(_201_),
    .X(counter_out_long[72])
  );
  sky130_fd_sc_hs__buf_1 _477_ (
    .A(_201_),
    .X(counter_out_long[73])
  );
  sky130_fd_sc_hs__buf_1 _478_ (
    .A(_201_),
    .X(counter_out_long[74])
  );
  sky130_fd_sc_hs__buf_1 _479_ (
    .A(_201_),
    .X(counter_out_long[75])
  );
  sky130_fd_sc_hs__buf_1 _480_ (
    .A(_201_),
    .X(counter_out_long[76])
  );
  sky130_fd_sc_hs__buf_1 _481_ (
    .A(_201_),
    .X(counter_out_long[77])
  );
  sky130_fd_sc_hs__buf_1 _482_ (
    .A(_201_),
    .X(counter_out_long[78])
  );
  sky130_fd_sc_hs__buf_1 _483_ (
    .A(_201_),
    .X(counter_out_long[79])
  );
  sky130_fd_sc_hs__buf_1 _484_ (
    .A(_201_),
    .X(counter_out_long[80])
  );
  sky130_fd_sc_hs__buf_1 _485_ (
    .A(_201_),
    .X(counter_out_long[81])
  );
  sky130_fd_sc_hs__buf_1 _486_ (
    .A(_201_),
    .X(counter_out_long[82])
  );
  sky130_fd_sc_hs__buf_1 _487_ (
    .A(_201_),
    .X(counter_out_long[83])
  );
  sky130_fd_sc_hs__buf_1 _488_ (
    .A(_201_),
    .X(counter_out_long[84])
  );
  sky130_fd_sc_hs__buf_1 _489_ (
    .A(_201_),
    .X(counter_out_long[85])
  );
  sky130_fd_sc_hs__buf_1 _490_ (
    .A(_201_),
    .X(counter_out_long[86])
  );
  sky130_fd_sc_hs__buf_1 _491_ (
    .A(_201_),
    .X(counter_out_long[87])
  );
  sky130_fd_sc_hs__buf_1 _492_ (
    .A(_201_),
    .X(counter_out_long[88])
  );
  sky130_fd_sc_hs__buf_1 _493_ (
    .A(_201_),
    .X(counter_out_long[89])
  );
  sky130_fd_sc_hs__buf_1 _494_ (
    .A(_201_),
    .X(counter_out_long[90])
  );
  sky130_fd_sc_hs__buf_1 _495_ (
    .A(_201_),
    .X(counter_out_long[91])
  );
  sky130_fd_sc_hs__buf_1 _496_ (
    .A(_201_),
    .X(counter_out_long[92])
  );
  sky130_fd_sc_hs__buf_1 _497_ (
    .A(_201_),
    .X(counter_out_long[93])
  );
  sky130_fd_sc_hs__buf_1 _498_ (
    .A(_201_),
    .X(counter_out_long[94])
  );
  sky130_fd_sc_hs__buf_1 _499_ (
    .A(_201_),
    .X(counter_out_long[95])
  );
  sky130_fd_sc_hs__buf_1 _500_ (
    .A(_201_),
    .X(counter_out_long[96])
  );
  sky130_fd_sc_hs__buf_1 _501_ (
    .A(_201_),
    .X(counter_out_long[97])
  );
  sky130_fd_sc_hs__buf_1 _502_ (
    .A(_201_),
    .X(counter_out_long[98])
  );
  sky130_fd_sc_hs__buf_1 _503_ (
    .A(_201_),
    .X(counter_out_long[99])
  );
  sky130_fd_sc_hs__buf_1 _504_ (
    .A(_201_),
    .X(counter_out_long[100])
  );
  sky130_fd_sc_hs__buf_1 _505_ (
    .A(_201_),
    .X(counter_out_long[101])
  );
  sky130_fd_sc_hs__buf_1 _506_ (
    .A(_201_),
    .X(counter_out_long[102])
  );
  sky130_fd_sc_hs__buf_1 _507_ (
    .A(_201_),
    .X(counter_out_long[103])
  );
  sky130_fd_sc_hs__buf_1 _508_ (
    .A(_201_),
    .X(counter_out_long[104])
  );
  sky130_fd_sc_hs__buf_1 _509_ (
    .A(_201_),
    .X(counter_out_long[105])
  );
  sky130_fd_sc_hs__buf_1 _510_ (
    .A(_201_),
    .X(counter_out_long[106])
  );
  sky130_fd_sc_hs__buf_1 _511_ (
    .A(_201_),
    .X(counter_out_long[107])
  );
  sky130_fd_sc_hs__buf_1 _512_ (
    .A(_201_),
    .X(counter_out_long[108])
  );
  sky130_fd_sc_hs__buf_1 _513_ (
    .A(_201_),
    .X(counter_out_long[109])
  );
  sky130_fd_sc_hs__buf_1 _514_ (
    .A(_201_),
    .X(counter_out_long[110])
  );
  sky130_fd_sc_hs__buf_1 _515_ (
    .A(_201_),
    .X(counter_out_long[111])
  );
  sky130_fd_sc_hs__buf_1 _516_ (
    .A(_201_),
    .X(counter_out_long[112])
  );
  sky130_fd_sc_hs__buf_1 _517_ (
    .A(_201_),
    .X(counter_out_long[113])
  );
  sky130_fd_sc_hs__buf_1 _518_ (
    .A(_201_),
    .X(counter_out_long[114])
  );
  sky130_fd_sc_hs__buf_1 _519_ (
    .A(_201_),
    .X(counter_out_long[115])
  );
  sky130_fd_sc_hs__buf_1 _520_ (
    .A(_201_),
    .X(counter_out_long[116])
  );
  sky130_fd_sc_hs__buf_1 _521_ (
    .A(_201_),
    .X(counter_out_long[117])
  );
  sky130_fd_sc_hs__buf_1 _522_ (
    .A(_201_),
    .X(counter_out_long[118])
  );
  sky130_fd_sc_hs__buf_1 _523_ (
    .A(_201_),
    .X(counter_out_long[119])
  );
  sky130_fd_sc_hs__buf_1 _524_ (
    .A(_201_),
    .X(counter_out_long[120])
  );
  sky130_fd_sc_hs__buf_1 _525_ (
    .A(_201_),
    .X(counter_out_long[121])
  );
  sky130_fd_sc_hs__buf_1 _526_ (
    .A(_201_),
    .X(counter_out_long[122])
  );
  sky130_fd_sc_hs__buf_1 _527_ (
    .A(_201_),
    .X(counter_out_long[123])
  );
  sky130_fd_sc_hs__buf_1 _528_ (
    .A(_201_),
    .X(counter_out_long[124])
  );
  sky130_fd_sc_hs__buf_1 _529_ (
    .A(_201_),
    .X(counter_out_long[125])
  );
  sky130_fd_sc_hs__buf_1 _530_ (
    .A(_201_),
    .X(counter_out_long[126])
  );
  sky130_fd_sc_hs__buf_1 _531_ (
    .A(_201_),
    .X(counter_out_long[127])
  );
  sky130_fd_sc_hs__buf_1 _532_ (
    .A(_201_),
    .X(counter_out_long[128])
  );
  sky130_fd_sc_hs__buf_1 _533_ (
    .A(_201_),
    .X(counter_out_long[129])
  );
  sky130_fd_sc_hs__buf_1 _534_ (
    .A(_201_),
    .X(counter_out_long[130])
  );
  sky130_fd_sc_hs__buf_1 _535_ (
    .A(_201_),
    .X(counter_out_long[131])
  );
  sky130_fd_sc_hs__buf_1 _536_ (
    .A(_201_),
    .X(counter_out_long[132])
  );
  sky130_fd_sc_hs__buf_1 _537_ (
    .A(_201_),
    .X(counter_out_long[133])
  );
  sky130_fd_sc_hs__buf_1 _538_ (
    .A(_201_),
    .X(counter_out_long[134])
  );
  sky130_fd_sc_hs__buf_1 _539_ (
    .A(_201_),
    .X(counter_out_long[135])
  );
  sky130_fd_sc_hs__buf_1 _540_ (
    .A(_201_),
    .X(counter_out_long[136])
  );
  sky130_fd_sc_hs__buf_1 _541_ (
    .A(_201_),
    .X(counter_out_long[137])
  );
  sky130_fd_sc_hs__buf_1 _542_ (
    .A(_201_),
    .X(counter_out_long[138])
  );
  sky130_fd_sc_hs__buf_1 _543_ (
    .A(_201_),
    .X(counter_out_long[139])
  );
  sky130_fd_sc_hs__buf_1 _544_ (
    .A(_201_),
    .X(counter_out_long[140])
  );
  sky130_fd_sc_hs__buf_1 _545_ (
    .A(_201_),
    .X(counter_out_long[141])
  );
  sky130_fd_sc_hs__buf_1 _546_ (
    .A(_201_),
    .X(counter_out_long[142])
  );
  sky130_fd_sc_hs__buf_1 _547_ (
    .A(_201_),
    .X(counter_out_long[143])
  );
  sky130_fd_sc_hs__buf_1 _548_ (
    .A(_201_),
    .X(counter_out_long[144])
  );
  sky130_fd_sc_hs__buf_1 _549_ (
    .A(_201_),
    .X(counter_out_long[145])
  );
  sky130_fd_sc_hs__buf_1 _550_ (
    .A(_201_),
    .X(counter_out_long[146])
  );
  sky130_fd_sc_hs__buf_1 _551_ (
    .A(_201_),
    .X(counter_out_long[147])
  );
  sky130_fd_sc_hs__buf_1 _552_ (
    .A(_201_),
    .X(counter_out_long[148])
  );
  sky130_fd_sc_hs__buf_1 _553_ (
    .A(_201_),
    .X(counter_out_long[149])
  );
  sky130_fd_sc_hs__buf_1 _554_ (
    .A(_201_),
    .X(counter_out_long[150])
  );
  sky130_fd_sc_hs__buf_1 _555_ (
    .A(_201_),
    .X(counter_out_long[151])
  );
  sky130_fd_sc_hs__buf_1 _556_ (
    .A(_201_),
    .X(counter_out_long[152])
  );
  sky130_fd_sc_hs__buf_1 _557_ (
    .A(_201_),
    .X(counter_out_long[153])
  );
  sky130_fd_sc_hs__buf_1 _558_ (
    .A(_201_),
    .X(counter_out_long[154])
  );
  sky130_fd_sc_hs__buf_1 _559_ (
    .A(_201_),
    .X(counter_out_long[155])
  );
  sky130_fd_sc_hs__buf_1 _560_ (
    .A(_201_),
    .X(counter_out_long[156])
  );
  sky130_fd_sc_hs__buf_1 _561_ (
    .A(_201_),
    .X(counter_out_long[157])
  );
  sky130_fd_sc_hs__buf_1 _562_ (
    .A(_201_),
    .X(counter_out_long[158])
  );
  sky130_fd_sc_hs__buf_1 _563_ (
    .A(_201_),
    .X(counter_out_long[159])
  );
  sky130_fd_sc_hs__buf_1 _564_ (
    .A(_201_),
    .X(counter_out_long[160])
  );
  sky130_fd_sc_hs__buf_1 _565_ (
    .A(_201_),
    .X(counter_out_long[161])
  );
  sky130_fd_sc_hs__buf_1 _566_ (
    .A(_201_),
    .X(counter_out_long[162])
  );
  sky130_fd_sc_hs__buf_1 _567_ (
    .A(_201_),
    .X(counter_out_long[163])
  );
  sky130_fd_sc_hs__buf_1 _568_ (
    .A(_201_),
    .X(counter_out_long[164])
  );
  sky130_fd_sc_hs__buf_1 _569_ (
    .A(_201_),
    .X(counter_out_long[165])
  );
  sky130_fd_sc_hs__buf_1 _570_ (
    .A(_201_),
    .X(counter_out_long[166])
  );
  sky130_fd_sc_hs__buf_1 _571_ (
    .A(_201_),
    .X(counter_out_long[167])
  );
  sky130_fd_sc_hs__buf_1 _572_ (
    .A(_201_),
    .X(counter_out_long[168])
  );
  sky130_fd_sc_hs__buf_1 _573_ (
    .A(_201_),
    .X(counter_out_long[169])
  );
  sky130_fd_sc_hs__buf_1 _574_ (
    .A(_201_),
    .X(counter_out_long[170])
  );
  sky130_fd_sc_hs__buf_1 _575_ (
    .A(_201_),
    .X(counter_out_long[171])
  );
  sky130_fd_sc_hs__buf_1 _576_ (
    .A(_201_),
    .X(counter_out_long[172])
  );
  sky130_fd_sc_hs__buf_1 _577_ (
    .A(_201_),
    .X(counter_out_long[173])
  );
  sky130_fd_sc_hs__buf_1 _578_ (
    .A(_201_),
    .X(counter_out_long[174])
  );
  sky130_fd_sc_hs__buf_1 _579_ (
    .A(_201_),
    .X(counter_out_long[175])
  );
  sky130_fd_sc_hs__buf_1 _580_ (
    .A(_201_),
    .X(counter_out_long[176])
  );
  sky130_fd_sc_hs__buf_1 _581_ (
    .A(_201_),
    .X(counter_out_long[177])
  );
  sky130_fd_sc_hs__buf_1 _582_ (
    .A(_201_),
    .X(counter_out_long[178])
  );
  sky130_fd_sc_hs__buf_1 _583_ (
    .A(_201_),
    .X(counter_out_long[179])
  );
  sky130_fd_sc_hs__buf_1 _584_ (
    .A(_201_),
    .X(counter_out_long[180])
  );
  sky130_fd_sc_hs__buf_1 _585_ (
    .A(_201_),
    .X(counter_out_long[181])
  );
  sky130_fd_sc_hs__buf_1 _586_ (
    .A(_201_),
    .X(counter_out_long[182])
  );
  sky130_fd_sc_hs__buf_1 _587_ (
    .A(_201_),
    .X(counter_out_long[183])
  );
  sky130_fd_sc_hs__buf_1 _588_ (
    .A(_201_),
    .X(counter_out_long[184])
  );
  sky130_fd_sc_hs__buf_1 _589_ (
    .A(_201_),
    .X(counter_out_long[185])
  );
  sky130_fd_sc_hs__buf_1 _590_ (
    .A(_201_),
    .X(counter_out_long[186])
  );
  sky130_fd_sc_hs__buf_1 _591_ (
    .A(_201_),
    .X(counter_out_long[187])
  );
  sky130_fd_sc_hs__buf_1 _592_ (
    .A(_201_),
    .X(counter_out_long[188])
  );
  sky130_fd_sc_hs__buf_1 _593_ (
    .A(_201_),
    .X(counter_out_long[189])
  );
  sky130_fd_sc_hs__buf_1 _594_ (
    .A(_201_),
    .X(counter_out_long[190])
  );
  sky130_fd_sc_hs__buf_1 _595_ (
    .A(_201_),
    .X(counter_out_long[191])
  );
  sky130_fd_sc_hs__buf_1 _596_ (
    .A(_201_),
    .X(counter_out_long[192])
  );
  sky130_fd_sc_hs__buf_1 _597_ (
    .A(_201_),
    .X(counter_out_long[193])
  );
  sky130_fd_sc_hs__buf_1 _598_ (
    .A(_201_),
    .X(counter_out_long[194])
  );
  sky130_fd_sc_hs__buf_1 _599_ (
    .A(_201_),
    .X(counter_out_long[195])
  );
  sky130_fd_sc_hs__buf_1 _600_ (
    .A(_201_),
    .X(counter_out_long[196])
  );
  sky130_fd_sc_hs__buf_1 _601_ (
    .A(_201_),
    .X(counter_out_long[197])
  );
  sky130_fd_sc_hs__buf_1 _602_ (
    .A(_201_),
    .X(counter_out_long[198])
  );
  sky130_fd_sc_hs__buf_1 _603_ (
    .A(_201_),
    .X(counter_out_long[199])
  );
  sky130_fd_sc_hs__buf_1 _604_ (
    .A(_201_),
    .X(counter_out_long[200])
  );
  sky130_fd_sc_hs__buf_1 _605_ (
    .A(_201_),
    .X(counter_out_long[201])
  );
  sky130_fd_sc_hs__buf_1 _606_ (
    .A(_201_),
    .X(counter_out_long[202])
  );
  sky130_fd_sc_hs__buf_1 _607_ (
    .A(_201_),
    .X(counter_out_long[203])
  );
  sky130_fd_sc_hs__buf_1 _608_ (
    .A(_201_),
    .X(counter_out_long[204])
  );
  sky130_fd_sc_hs__buf_1 _609_ (
    .A(_201_),
    .X(counter_out_long[205])
  );
  sky130_fd_sc_hs__buf_1 _610_ (
    .A(_201_),
    .X(counter_out_long[206])
  );
  sky130_fd_sc_hs__buf_1 _611_ (
    .A(_201_),
    .X(counter_out_long[207])
  );
  sky130_fd_sc_hs__buf_1 _612_ (
    .A(_201_),
    .X(counter_out_long[208])
  );
  sky130_fd_sc_hs__buf_1 _613_ (
    .A(_201_),
    .X(counter_out_long[209])
  );
  sky130_fd_sc_hs__buf_1 _614_ (
    .A(_201_),
    .X(counter_out_long[210])
  );
  sky130_fd_sc_hs__buf_1 _615_ (
    .A(_201_),
    .X(counter_out_long[211])
  );
  sky130_fd_sc_hs__buf_1 _616_ (
    .A(_201_),
    .X(counter_out_long[212])
  );
  sky130_fd_sc_hs__buf_1 _617_ (
    .A(_201_),
    .X(counter_out_long[213])
  );
  sky130_fd_sc_hs__buf_1 _618_ (
    .A(_201_),
    .X(counter_out_long[214])
  );
  sky130_fd_sc_hs__buf_1 _619_ (
    .A(_201_),
    .X(counter_out_long[215])
  );
  sky130_fd_sc_hs__buf_1 _620_ (
    .A(_201_),
    .X(counter_out_long[216])
  );
  sky130_fd_sc_hs__buf_1 _621_ (
    .A(_201_),
    .X(counter_out_long[217])
  );
  sky130_fd_sc_hs__buf_1 _622_ (
    .A(_201_),
    .X(counter_out_long[218])
  );
  sky130_fd_sc_hs__buf_1 _623_ (
    .A(_201_),
    .X(counter_out_long[219])
  );
  sky130_fd_sc_hs__buf_1 _624_ (
    .A(_201_),
    .X(counter_out_long[220])
  );
  sky130_fd_sc_hs__buf_1 _625_ (
    .A(_201_),
    .X(counter_out_long[221])
  );
  sky130_fd_sc_hs__buf_1 _626_ (
    .A(_201_),
    .X(counter_out_long[222])
  );
  sky130_fd_sc_hs__buf_1 _627_ (
    .A(_201_),
    .X(counter_out_long[223])
  );
  sky130_fd_sc_hs__buf_1 _628_ (
    .A(_201_),
    .X(counter_out_long[224])
  );
  sky130_fd_sc_hs__buf_1 _629_ (
    .A(_201_),
    .X(counter_out_long[225])
  );
  sky130_fd_sc_hs__buf_1 _630_ (
    .A(_201_),
    .X(counter_out_long[226])
  );
  sky130_fd_sc_hs__buf_1 _631_ (
    .A(_201_),
    .X(counter_out_long[227])
  );
  sky130_fd_sc_hs__buf_1 _632_ (
    .A(_201_),
    .X(counter_out_long[228])
  );
  sky130_fd_sc_hs__buf_1 _633_ (
    .A(_201_),
    .X(counter_out_long[229])
  );
  sky130_fd_sc_hs__buf_1 _634_ (
    .A(_201_),
    .X(counter_out_long[230])
  );
  sky130_fd_sc_hs__buf_1 _635_ (
    .A(_201_),
    .X(counter_out_long[231])
  );
  sky130_fd_sc_hs__buf_1 _636_ (
    .A(_201_),
    .X(counter_out_long[232])
  );
  sky130_fd_sc_hs__buf_1 _637_ (
    .A(_201_),
    .X(counter_out_long[233])
  );
  sky130_fd_sc_hs__buf_1 _638_ (
    .A(_201_),
    .X(counter_out_long[234])
  );
  sky130_fd_sc_hs__buf_1 _639_ (
    .A(_201_),
    .X(counter_out_long[235])
  );
  sky130_fd_sc_hs__buf_1 _640_ (
    .A(_201_),
    .X(counter_out_long[236])
  );
  sky130_fd_sc_hs__buf_1 _641_ (
    .A(_201_),
    .X(counter_out_long[237])
  );
  sky130_fd_sc_hs__buf_1 _642_ (
    .A(_201_),
    .X(counter_out_long[238])
  );
  sky130_fd_sc_hs__buf_1 _643_ (
    .A(_201_),
    .X(counter_out_long[239])
  );
  sky130_fd_sc_hs__buf_1 _644_ (
    .A(_201_),
    .X(counter_out_long[240])
  );
  sky130_fd_sc_hs__buf_1 _645_ (
    .A(_201_),
    .X(counter_out_long[241])
  );
  sky130_fd_sc_hs__buf_1 _646_ (
    .A(_201_),
    .X(counter_out_long[242])
  );
  sky130_fd_sc_hs__buf_1 _647_ (
    .A(_201_),
    .X(counter_out_long[243])
  );
  sky130_fd_sc_hs__buf_1 _648_ (
    .A(_201_),
    .X(counter_out_long[244])
  );
  sky130_fd_sc_hs__buf_1 _649_ (
    .A(_201_),
    .X(counter_out_long[245])
  );
  sky130_fd_sc_hs__buf_1 _650_ (
    .A(_201_),
    .X(counter_out_long[246])
  );
  sky130_fd_sc_hs__buf_1 _651_ (
    .A(_201_),
    .X(counter_out_long[247])
  );
  sky130_fd_sc_hs__buf_1 _652_ (
    .A(_201_),
    .X(counter_out_long[248])
  );
  sky130_fd_sc_hs__buf_1 _653_ (
    .A(_201_),
    .X(counter_out_long[249])
  );
  sky130_fd_sc_hs__buf_1 _654_ (
    .A(_201_),
    .X(counter_out_long[250])
  );
  sky130_fd_sc_hs__buf_1 _655_ (
    .A(_201_),
    .X(counter_out_long[251])
  );
  sky130_fd_sc_hs__buf_1 _656_ (
    .A(_201_),
    .X(counter_out_long[252])
  );
  sky130_fd_sc_hs__buf_1 _657_ (
    .A(_201_),
    .X(counter_out_long[253])
  );
  sky130_fd_sc_hs__buf_1 _658_ (
    .A(_201_),
    .X(counter_out_long[254])
  );
  sky130_fd_sc_hs__buf_1 _659_ (
    .A(_201_),
    .X(counter_out_long[255])
  );
  sky130_fd_sc_hs__dfxtp_1 _660_ (
    .CLK(clk),
    .D(_000_),
    .Q(counter_out[17])
  );
  sky130_fd_sc_hs__dfxtp_1 _661_ (
    .CLK(clk),
    .D(_001_),
    .Q(counter_out[18])
  );
  sky130_fd_sc_hs__dfxtp_1 _662_ (
    .CLK(clk),
    .D(_002_),
    .Q(counter_out[19])
  );
  sky130_fd_sc_hs__dfxtp_1 _663_ (
    .CLK(clk),
    .D(_003_),
    .Q(counter_out[20])
  );
  sky130_fd_sc_hs__dfxtp_1 _664_ (
    .CLK(clk),
    .D(_004_),
    .Q(counter_out[21])
  );
  sky130_fd_sc_hs__dfxtp_1 _665_ (
    .CLK(clk),
    .D(_005_),
    .Q(counter_out[22])
  );
  sky130_fd_sc_hs__dfxtp_1 _666_ (
    .CLK(clk),
    .D(_006_),
    .Q(counter_out[23])
  );
  sky130_fd_sc_hs__dfxtp_1 _667_ (
    .CLK(clk),
    .D(_007_),
    .Q(counter_out[24])
  );
  sky130_fd_sc_hs__dfxtp_1 _668_ (
    .CLK(clk),
    .D(_008_),
    .Q(counter_out[25])
  );
  sky130_fd_sc_hs__dfxtp_1 _669_ (
    .CLK(clk),
    .D(_009_),
    .Q(counter_out[26])
  );
  sky130_fd_sc_hs__dfxtp_1 _670_ (
    .CLK(clk),
    .D(_010_),
    .Q(counter_out[27])
  );
  sky130_fd_sc_hs__dfxtp_1 _671_ (
    .CLK(clk),
    .D(_011_),
    .Q(counter_out[28])
  );
  sky130_fd_sc_hs__dfxtp_1 _672_ (
    .CLK(clk),
    .D(_012_),
    .Q(counter_out[29])
  );
  sky130_fd_sc_hs__dfxtp_1 _673_ (
    .CLK(clk),
    .D(_013_),
    .Q(counter_out[30])
  );
  sky130_fd_sc_hs__dfxtp_1 _674_ (
    .CLK(clk),
    .D(_014_),
    .Q(counter_out[31])
  );
  sky130_fd_sc_hs__dfxtp_1 _675_ (
    .CLK(clk),
    .D(_015_),
    .Q(counter_out[32])
  );
  sky130_fd_sc_hs__dfxtp_1 _676_ (
    .CLK(clk),
    .D(_016_),
    .Q(counter_out[33])
  );
  sky130_fd_sc_hs__dfxtp_1 _677_ (
    .CLK(clk),
    .D(_017_),
    .Q(counter_out[34])
  );
  sky130_fd_sc_hs__dfxtp_1 _678_ (
    .CLK(clk),
    .D(_018_),
    .Q(counter_out[35])
  );
  sky130_fd_sc_hs__dfxtp_1 _679_ (
    .CLK(clk),
    .D(_019_),
    .Q(counter_out[36])
  );
  sky130_fd_sc_hs__dfxtp_1 _680_ (
    .CLK(clk),
    .D(_020_),
    .Q(counter_out[37])
  );
  sky130_fd_sc_hs__dfxtp_1 _681_ (
    .CLK(clk),
    .D(_021_),
    .Q(counter_out[38])
  );
  sky130_fd_sc_hs__dfxtp_1 _682_ (
    .CLK(clk),
    .D(_022_),
    .Q(counter_out[39])
  );
  sky130_fd_sc_hs__dfxtp_1 _683_ (
    .CLK(clk),
    .D(_023_),
    .Q(counter_out[40])
  );
  sky130_fd_sc_hs__dfxtp_1 _684_ (
    .CLK(clk),
    .D(_024_),
    .Q(counter_out[41])
  );
  sky130_fd_sc_hs__dfxtp_1 _685_ (
    .CLK(clk),
    .D(_025_),
    .Q(counter_out[42])
  );
  sky130_fd_sc_hs__dfxtp_1 _686_ (
    .CLK(clk),
    .D(_026_),
    .Q(counter_out[43])
  );
  sky130_fd_sc_hs__dfxtp_1 _687_ (
    .CLK(clk),
    .D(_027_),
    .Q(counter_out[44])
  );
  sky130_fd_sc_hs__dfxtp_1 _688_ (
    .CLK(clk),
    .D(_028_),
    .Q(counter_out[45])
  );
  sky130_fd_sc_hs__dfxtp_1 _689_ (
    .CLK(clk),
    .D(_029_),
    .Q(counter_out[46])
  );
  sky130_fd_sc_hs__dfxtp_1 _690_ (
    .CLK(clk),
    .D(_030_),
    .Q(counter_out[47])
  );
  sky130_fd_sc_hs__dfxtp_1 _691_ (
    .CLK(clk),
    .D(_031_),
    .Q(counter_out[48])
  );
  sky130_fd_sc_hs__dfxtp_1 _692_ (
    .CLK(clk),
    .D(_032_),
    .Q(counter_out[49])
  );
  sky130_fd_sc_hs__dfxtp_1 _693_ (
    .CLK(clk),
    .D(_033_),
    .Q(counter_out[50])
  );
  sky130_fd_sc_hs__dfxtp_1 _694_ (
    .CLK(clk),
    .D(_034_),
    .Q(counter_out[51])
  );
  sky130_fd_sc_hs__dfxtp_1 _695_ (
    .CLK(clk),
    .D(_035_),
    .Q(counter_out[52])
  );
  sky130_fd_sc_hs__dfxtp_1 _696_ (
    .CLK(clk),
    .D(_036_),
    .Q(counter_out[53])
  );
  sky130_fd_sc_hs__dfxtp_1 _697_ (
    .CLK(clk),
    .D(_037_),
    .Q(counter_out[54])
  );
  sky130_fd_sc_hs__dfxtp_1 _698_ (
    .CLK(clk),
    .D(_038_),
    .Q(counter_out[55])
  );
  sky130_fd_sc_hs__dfxtp_1 _699_ (
    .CLK(clk),
    .D(_039_),
    .Q(counter_out[56])
  );
  sky130_fd_sc_hs__dfxtp_1 _700_ (
    .CLK(clk),
    .D(_040_),
    .Q(counter_out[57])
  );
  sky130_fd_sc_hs__dfxtp_1 _701_ (
    .CLK(clk),
    .D(_041_),
    .Q(counter_out[58])
  );
  sky130_fd_sc_hs__dfxtp_1 _702_ (
    .CLK(clk),
    .D(_042_),
    .Q(counter_out[59])
  );
  sky130_fd_sc_hs__dfxtp_1 _703_ (
    .CLK(clk),
    .D(_043_),
    .Q(counter_out[60])
  );
  sky130_fd_sc_hs__dfxtp_1 _704_ (
    .CLK(clk),
    .D(_044_),
    .Q(counter_out[61])
  );
  sky130_fd_sc_hs__dfxtp_1 _705_ (
    .CLK(clk),
    .D(_045_),
    .Q(counter_out[62])
  );
  sky130_fd_sc_hs__dfxtp_1 _706_ (
    .CLK(clk),
    .D(_046_),
    .Q(counter_out[63])
  );
  sky130_fd_sc_hs__dfxtp_1 _707_ (
    .CLK(clk),
    .D(_047_),
    .Q(counter_out[0])
  );
  sky130_fd_sc_hs__dfxtp_1 _708_ (
    .CLK(clk),
    .D(_048_),
    .Q(counter_out[1])
  );
  sky130_fd_sc_hs__dfxtp_1 _709_ (
    .CLK(clk),
    .D(_049_),
    .Q(counter_out[2])
  );
  sky130_fd_sc_hs__dfxtp_1 _710_ (
    .CLK(clk),
    .D(_050_),
    .Q(counter_out[3])
  );
  sky130_fd_sc_hs__dfxtp_1 _711_ (
    .CLK(clk),
    .D(_051_),
    .Q(counter_out[4])
  );
  sky130_fd_sc_hs__dfxtp_1 _712_ (
    .CLK(clk),
    .D(_052_),
    .Q(counter_out[5])
  );
  sky130_fd_sc_hs__dfxtp_1 _713_ (
    .CLK(clk),
    .D(_053_),
    .Q(counter_out[6])
  );
  sky130_fd_sc_hs__dfxtp_1 _714_ (
    .CLK(clk),
    .D(_054_),
    .Q(counter_out[7])
  );
  sky130_fd_sc_hs__dfxtp_1 _715_ (
    .CLK(clk),
    .D(_055_),
    .Q(counter_out[8])
  );
  sky130_fd_sc_hs__dfxtp_1 _716_ (
    .CLK(clk),
    .D(_056_),
    .Q(counter_out[9])
  );
  sky130_fd_sc_hs__dfxtp_1 _717_ (
    .CLK(clk),
    .D(_057_),
    .Q(counter_out[10])
  );
  sky130_fd_sc_hs__dfxtp_1 _718_ (
    .CLK(clk),
    .D(_058_),
    .Q(counter_out[11])
  );
  sky130_fd_sc_hs__dfxtp_1 _719_ (
    .CLK(clk),
    .D(_059_),
    .Q(counter_out[12])
  );
  sky130_fd_sc_hs__dfxtp_1 _720_ (
    .CLK(clk),
    .D(_060_),
    .Q(counter_out[13])
  );
  sky130_fd_sc_hs__dfxtp_1 _721_ (
    .CLK(clk),
    .D(_061_),
    .Q(counter_out[14])
  );
  sky130_fd_sc_hs__dfxtp_1 _722_ (
    .CLK(clk),
    .D(_062_),
    .Q(counter_out[15])
  );
  sky130_fd_sc_hs__dfxtp_1 _723_ (
    .CLK(clk),
    .D(_063_),
    .Q(counter_out[16])
  );
endmodule
